module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Linear]],
				end_relative={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=1.2,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=true,
				move_time=0.64,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=0,
		},
		[2]={
			args={action_name=[[run]],action_time=0.3,excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[3]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[4]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.69,
		},
		[5]={args={},func_name=[[MagcAnimStart]],start_time=0.99,},
		[6]={
			args={
				alive_time=0.96,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_303/Prefabs/303_attack1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.61,
		},
		[7]={
			args={
				alive_time=0.96,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_303/Prefabs/303_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.81,
		},
		[8]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.81,
		},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.95,
		},
		[10]={
			args={
				alive_time=0.93,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_303/Prefabs/303_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.98,
		},
		[11]={args={},func_name=[[MagcAnimEnd]],start_time=2.75,},
		[12]={args={},func_name=[[End]],start_time=3.2,},
	},
	group_cmds={},
	magic_anim_end_time=2.75,
	magic_anim_start_time=0.99,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_303/Prefabs/303_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_303/Prefabs/303_hit.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_303/Prefabs/303_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
